### Method

# GtkSource RegionIter get_subregion

#### Declaration [src]

    gboolean
    gtk_source_region_iter_get_subregion (
      GtkSourceRegionIter* iter,
      GtkTextIter* start,
      GtkTextIter* end
    )

#### Description [src]

Gets the subregion at this iterator.

#### Parameters

`start`

  Type: `GtkTextIter`

  Iterator to initialize with the subregion start, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.

`end`

  Type: `GtkTextIter`

  Iterator to initialize with the subregion end, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.

#### Return value

Type: `gboolean`

`TRUE` if `start` and `end` have been set successfully (if non-`NULL`), or `FALSE` if `iter` is the end iterator or if the region is empty.